Postgresql

2003-09-21
2003-10-03
  • bruno LEVEQUE

    bruno LEVEQUE - 2003-09-21

    Hi all

    I am working on a slackware 9 (kernel 2.4.20).

    I would like try to install compiere 250c with the last postgresql.
    Can somebody help me ?

    What kind of modification of the code of compiere I need to make ?

    Thank's
    Bruno

     
    • Jean-Michel POURE

      Hi,

      Compiere uses a lot of server-side code written in PL. Also, I read that it used nested transactions. In theory, nested transactions are not needed because a clean code does not need them.

      Therefore, to get Compiere to run under PostgreSQL, you need to clean up the PL code and port it to PLpgSQL. Not a small work!!!

      You will probably need our PL and server-side IDE from http://www.pgadmin.org

      I am too busy and will not be able to help you on the project. Don't hesitate to contact me on pgadmin site. We released a Slackware version of pgAdmin.

      Cheers,
      Jean-Michel

       

Log in to post a comment.